const express = require('express');
require('dotenv').config();

const setupMiddleware = require('./middleware');
const setupRoutes = require('./routes');
const setupErrors = require('./errors');

const app = express();

setupMiddleware(app, express);
setupRoutes(app);
setupErrors(app);

module.exports = app;