const cors = require('cors');
const compression = require('compression');

const setupMiddleware = (app, express) => {
  app.use(cors());
  app.use(compression());
  app.use(express.json({limit: '128mb'}));
  app.use(express.urlencoded({ extended: false }));
}

module.exports = setupMiddleware;
