const { Router } = require('express');
const { readdirSync } = require('fs');

const setupRoutes = (app) => {
  const router = Router();
  app.use('/', router);

  readdirSync(`${__dirname}/../routes`).map(async file => {
    (await import(`../routes/${file}`)).default(router);
  })
}

module.exports = setupRoutes;