const Oracle = require('./oracle');
const repo = require('../queries');

class Query {
  get(query) {
    return repo[query];
  }

  async run(connParams, query, params = {}) {
    await Oracle.connect(connParams)
    const data = await Oracle.fetchAssoc(query, params);
    await Oracle.close();
    
    return data;
  }
}

module.exports = new Query();